Foxit PDF SDK

Instance Methods | Properties | List of all members
FSFontMapResult Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithFile_read:face_index:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another font mapping result object. More...
(void) | - set:face_index:
| Set value. More...

## Properties
int | face_index
| Face index. This is a zero-based index value: More...
id< FSFileReaderCallback > | file_read
| A FSFileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font.If this is nil, that means no mapped font.

## Detailed Description

This class represents font mappping result returned by callback function FSFontMapperCallback::mapFont:is_truetype:styles:weight:italic_angle:charset:.

## Method Documentation

## ◆ initWithFile_read:face_index:()

- (id) initWithFile_read: |  | (id<FSFileReaderCallback>) | file_read
face_index: |  | (int) | face_index

Constructor, with parameters.

Parameters

  [in] | file_read | A FSFileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is nil, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSFontMapResult*) | other |

Constructor, with another font mapping result object.

Parameters

  [in] | other | Another font mapping result object.

## ◆ set:face_index:()

- (void) set: |  | (id<FSFileReaderCallback>) | file_read
face_index: |  | (int) | face_index

Set value.

Parameters

  [in] | file_read | A FSFileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is nil, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## Property Documentation

## ◆ face_index

- (int) face_index
| read write nonatomic assign

Face index. This is a zero-based index value:

- If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face.
- If the mapped font (represented by file_read) is not a collection, the index value shall be zero.

-1 means no mapped font.